%global momorel 1

# Fedora package review
# http://bugzilla.redhat.com/459705

#define _with_check -DBUILD_TESTS=ON 

Name:		eigen2
Summary:	A lightweight C++ template library for vector and matrix math
Version:	2.0.0 
Release:	%{momorel}m%{?dist} 
Group:		System Environment/Libraries
License:	"GPLv2+ or LGPLv3+"
URL:		http://eigen.tuxfamily.org/
Source0:	http://download.tuxfamily.org/eigen/eigen-%{version}.tar.bz2
NoSource:	0
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

BuildRequires: cmake >= 2.6.2
#docs
BuildRequires: doxygen graphviz
BuildRequires: tetex-latex
%{?_with_check:BuildRequires: qt-devel}

%description
%{summary}

%package devel
Summary: A lightweight C++ template library for vector and matrix math
Group:   Development/Libraries
# -devel subpkg only atm, compat with other distros
Provides: %{name} = %{version}-%{release}
%description devel
%{summary}

%prep
%setup -q -n eigen-%{version}

%build

mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} %{?_with_check}  ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# docs
doxygen

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%check
%if 0%{?_with_check:1}
( cd %{_target_platform}/test; ctest )
%endif

%clean 
rm -rf %{buildroot}

%files devel
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER
%doc html/
%{_includedir}/eigen2/

%changelog
* Sat Feb 14 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.0-0.3.2m)
- rebuild against rpm-4.6

* Sun Dec 28 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.3.1m)
- update to 2.0beta3

* Fri Nov  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-0.1.1m)
- import from Fedora devel

* Mon Sep 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.4.beta1
- eigen-2.0-beta1

* Mon Aug 25 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.3.alpha7
- disable buildtime tests, which tickle gcc bugs

* Fri Aug 22 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.2.alpha7
- add working %%check

* Wed Aug 20 2008 Rex Dieter <rdieter@fedoraproject.org> 2.0-0.1.alpha7
- eigen-2.0-alpha7
